using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadControlsTest
{
    public partial class Form1 : Form
    {
        ContactsForm contacts = new ContactsForm();
        MailForm mail = new MailForm();

        public Form1()
        {
            InitializeComponent();

            this.radPanelBar1.PanelBarGroupExpanded += new Telerik.WinControls.UI.PanelBarGroupEventHandler(radPanelBar1_PanelBarGroupExpanded);
            this.radPanelBarGroupElement1.PerformExpand();
        }

        void radPanelBar1_PanelBarGroupExpanded(object sender, Telerik.WinControls.UI.PanelBarGroupEventArgs args)
        {
            if (((RadPanelBarGroupElement)args.Group).Caption == "Mail")
            {
                this.dockingManager1.SetDocument(mail);
                this.dockingManager1.RemoveDocument(contacts);
            }
            else
            {
                this.dockingManager1.SetDocument(contacts);
                this.dockingManager1.RemoveDocument(mail);
            }
        }
    }
}